Bug 1123196 - [abrt] mono-core: mono_handle_native_sigsegv(): mono killed by SIGABRT
Summary: [abrt] mono-core: mono_handle_native_sigsegv(): mono killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b5a7dad324a1c3d616e8a886391...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 05:57 UTC by Moez Roy
Modified: 2015-06-29 21:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:02 UTC


Attachments (Terms of Use)
File: backtrace (74.98 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: core_backtrace (16.59 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: dso_list (22.02 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: environ (1.52 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: maps (91.83 KB, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: open_fds (555 bytes, text/plain)
2014-07-25 05:57 UTC, Moez Roy
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-07-25 05:58 UTC, Moez Roy
no flags Details
File: var_log_messages (284 bytes, text/plain)
2014-07-25 05:58 UTC, Moez Roy
no flags Details

Description Moez Roy 2014-07-25 05:57:52 UTC
Version-Release number of selected component:
mono-core-2.10.8-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        banshee /usr/lib64/banshee/Banshee.exe --redirect-log --play-enqueued /media/secondary/300mb/pt5/opensource/opensource.mp4
crash_function: mono_handle_native_sigsegv
executable:     /usr/bin/mono
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 mono_handle_native_sigsegv at mini-exceptions.c:2246
 #3 mono_arch_handle_altstack_exception at exceptions-amd64.c:953
 #4 mono_sigsegv_signal_handler at mini.c:5909
 #6 __pthread_kill at ../nptl/sysdeps/unix/sysv/linux/pthread_kill.c:42
 #7 GC_suspend_all at pthread_stop_world.c:383
 #8 pthread_stop_world at pthread_stop_world.c:418
 #9 GC_stop_world at pthread_stop_world.c:603
 #10 GC_stopped_mark at alloc.c:503
 #11 GC_try_to_collect_inner at alloc.c:382
 #12 GC_try_to_collect at alloc.c:809

Comment 1 Moez Roy 2014-07-25 05:57:54 UTC
Created attachment 920819 [details]
File: backtrace

Comment 2 Moez Roy 2014-07-25 05:57:55 UTC
Created attachment 920820 [details]
File: cgroup

Comment 3 Moez Roy 2014-07-25 05:57:55 UTC
Created attachment 920821 [details]
File: core_backtrace

Comment 4 Moez Roy 2014-07-25 05:57:56 UTC
Created attachment 920822 [details]
File: dso_list

Comment 5 Moez Roy 2014-07-25 05:57:57 UTC
Created attachment 920823 [details]
File: environ

Comment 6 Moez Roy 2014-07-25 05:57:57 UTC
Created attachment 920824 [details]
File: limits

Comment 7 Moez Roy 2014-07-25 05:57:58 UTC
Created attachment 920825 [details]
File: maps

Comment 8 Moez Roy 2014-07-25 05:57:59 UTC
Created attachment 920826 [details]
File: open_fds

Comment 9 Moez Roy 2014-07-25 05:58:00 UTC
Created attachment 920827 [details]
File: proc_pid_status

Comment 10 Moez Roy 2014-07-25 05:58:01 UTC
Created attachment 920828 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:28:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:45:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.